%define _jarsign_opts --nocopy
#%define subrel Final
%define subrel %{nil}

%define as_major 5
%define as_minor 1
%define as_rev 2
%define jbossas_version %{as_major}.%{as_minor}.%{as_rev}

%define jbossdir %{_var}/lib/jbossas
%define jbhomedir %{_datadir}/jbossas
%define jbjavadir %{_javadir}/jbossas

Summary:       JBoss EC2 EAP 
Name:          jboss-ec2-eap
Version:       %{jbossas_version}
Release:       8.11%{?dist}
Epoch:         0
License:       LGPL
Group:         Development/Installer
URL:           http://www.jboss.org/

#git clone git://git.app.eng.bos.redhat.com/mw-cloud.git
#git archive 102351c17e10d8bc84893be104833317cc94ed76 --prefix=mw-cloud/ --format tar.gz -o mw-cloud.tar.gz
Source0:       mw-cloud.tar.gz

#aws script
Source1:       https://raw.github.com/timkay/aws/master/aws

#svn export -r 2516 http://anonsvn.jboss.org/repos/qa/people/akostadi/hellojsp
#tar czf hellojsp.tar.gz hellojsp/
Source2:        hellojsp.tar.gz

#svn export -r 2516 http://anonsvn.jboss.org/repos/qa/people/akostadi/jmssender/
#tar zcf jmssender.tar.gz jmssender/
Source3:        jmssender.tar.gz

#svn export -r 2516 http://anonsvn.jboss.org/repos/qa/people/akostadi/mdbtest
#tar czf mdbtest.tar.gz mdbtest/
Source4:        mdbtest.tar.gz

Source5:        %{name}-jpp-depmap.xml

Patch0:         %{name}-mdbtest-pom.patch

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts
Requires:	dos2unix

BuildRequires:  jpackage-utils >= 0:1.7.3

BuildRequires:  maven2
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-ejb
BuildRequires:  maven2-plugin-war
BuildRequires:  plexus-container-default
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven2-plugin-surefire-report
BuildRequires:  jboss-jms-1.1-api
BuildRequires:  jboss-ejb-3.0-api
BuildRequires:  jboss-parent

Requires:       jbossas = %{jbossas_version}

Conflicts:      jboss-ec2-ews

BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:    noarch

%description
This package contains jon scripts for EAP

%package samples
Summary:        Sample applications fro ec2 eap
Group:          Development/Java
Requires:       jboss-ec2-eap = %{version}


%description samples
%{summary}

%prep
%setup -q -n mw-cloud
#sed -i "s|AWS=/root/jboss/aws|AWS=%{_datadir}/%{name}/scripts/aws|" phase1/eap/ami/reserve_peer_id.sh

tar zxf %{SOURCE2}
tar zxf %{SOURCE3}
tar zxf %{SOURCE4}

%patch0

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

# hellojsp
pushd hellojsp
mvn-jpp \
        -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE5} \
        install
popd

# jmssender
pushd jmssender
mvn-jpp \
        -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE5} \
        install
popd

# mdbtest
pushd mdbtest
mvn-jpp \
        -e \
        -Dmaven2.jpp.depmap.file=%{SOURCE5} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install
popd

%install
rm -rf $RPM_BUILD_ROOT

#init script
install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -p -m 755 phase1/eap/ami/ec2-init $RPM_BUILD_ROOT%{_initrddir}/%{name}

# install scripts
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts
install -p -m 755 phase1/eap/ami/jboss_user-data.sh $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts
#install -p -m 755 phase1/eap/ami/jon-agent.sh $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts
install -p -m 755 phase1/eap/ami/reserve_peer_id.sh $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts

install -d -m 755 $RPM_BUILD_ROOT%{_var}/log
touch $RPM_BUILD_ROOT%{_var}/log/jboss_user-data.out
install -d -m 700 $RPM_BUILD_ROOT%{_var}/cache/%{name}
touch $RPM_BUILD_ROOT%{_var}/cache/%{name}/user-data
touch $RPM_BUILD_ROOT%{_var}/cache/%{name}/user-data.sh

#samples
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}-samples
install -m 644 hellojsp/target/hello-1.0.war $RPM_BUILD_ROOT%{_javadir}/%{name}-samples/
install -m 644 jmssender/target/jmssender-1.0.war $RPM_BUILD_ROOT%{_javadir}/%{name}-samples/
install -m 644 mdbtest/target/mdbtest-1.1.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-samples/

%clean
rm -Rf $RPM_BUILD_ROOT

%pre
JBOSS_SHELL=/sbin/nologin
%{_sbindir}/groupadd -r jboss 2>/dev/null || :
%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d %{jbhomedireap} -g jboss jboss 2>/dev/null || :

%post
[ -x /sbin/chkconfig ] && /sbin/chkconfig --add %{name} || :

%preun
if [ "$1" = 0 ]; then
  # on erase
  %{_initrddir}/%{name} stop > /dev/null 2>&1 || :
  [ -x /sbin/chkconfig ] && /sbin/chkconfig --del %{name}
fi

%files
%defattr(0755,root,root,0644)
%attr(0755,root,root) %{_initrddir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/scripts
%{_datadir}/%{name}/scripts/jboss_user-data.sh
%{_datadir}/%{name}/scripts/reserve_peer_id.sh
#%{_datadir}/%{name}/scripts/jon-agent.sh
%{_datadir}/%{name}/scripts/aws

%ghost %{_var}/log/jboss_user-data.out

%defattr(0700,root,root,0700)
%dir %{_var}/cache/%{name}
%ghost %{_var}/cache/%{name}/user-data
%ghost %{_var}/cache/%{name}/user-data.sh

%files samples
%defattr(0755,root,root,0644)
%{_javadir}/%{name}-samples/*

%changelog
* Wed Jul 25 2012 Yong Yang <yyang@redhat.com> 0:5.1.2-8.11
- Change permission of dir /var/cache/jboss-ec2-eap to 0700

* Tue Jun 12 2012 Chris O'Brien <cobrien@redhat.com> 0:5.1.2-8.10
- Upgrade to 102351c17e10d8bc84893be104833317cc94ed76

* Mon Jun 4 2012 Chris O'Brien <cobrien@redhat.com> 0:5.1.2-8.9
- Upgrade to b0e38640f521c22216e05baec705d5e9dee494f6
- Requires dos2unix

* Thu Mar 26 2012 Yong Yang <yyang@redhat.com> 0:5.1.2-8.7
- Correct cache path, change to %{_var}/cache/%{name}

* Wed Mar 21 2012 Yong Yang <yyang@redhat.com> 0:5.1.2-8.6
- Upgrade to 50ff9825de46574542ab197ee0018079d795844d
- Default owner root:root
- Add samples

* Tue Feb 21 2012 Yong Yang <yyang@redhat.com> 0:5.1.2-8.5
- Upgrade to c5f30d7a6cf3f90638a75d453f4f8ba32ae5a1ab
- dynamically build aws executable path
- correct the path to /var/cache/jboss-ec2-eap/user-script.sh

* Mon Feb 20 2012 Yong Yang <yyang@redhat.com> 0:5.1.2-8.4
- Add aws url

* Mon Feb 20 2012 Yong Yang <yyang@redhat.com> 0:5.1.2-8.3
- Add aws

* Sun Feb 19 2012 Yong Yang <yyang@redhat.com> 0:5.1.2-8.2
- Fix Requires

* Sun Feb 19 2012 Yong Yang <yyang@redhat.com> 0:5.1.2-8.1
- Init Build

* Tue Mar 15 2011 Yong Yang <yyang@redhat.com> 0:5.1.0-1
- First build
